html {
  box-sizing: border-box;
}

*, *:before, *:after {
  box-sizing: inherit;
}

body {
  background: $bg-color;
  color: $text-color;
  font-family: $font-family;
  line-height: 1.65;
  font-size: $base-font-size / 16 * 100%;
  font-weight: $base-font-weight;
  padding-top: 100px;
  -webkit-font-smoothing: antialiased;
}

// copy and lists
p {
  line-height: $leading;
  margin-top: $leading;
  margin-bottom: 0;
}

h2 + p, h3 + p, h4 + p {
  margin-top: $leading/4;
}

ul, ol {
  margin-top: $leading;
  margin-bottom: $leading;
}

ul li, ol li {
  line-height: $leading;
}

ul ul, ol ol  {
  margin-top: 0;
  margin-bottom: 0;
}

blockquote {
  line-height: $leading;
  margin-top: $leading;
  margin-bottom: $leading;
}

// heading
/* Headings */
h1, h2, h3, h4, h5, h6 {
  font-family: $font-family;
  margin-top: $leading;
  margin-bottom: $leading;
  line-height: $leading;
  font-weight: $bold-font-weight;
  color: $gray-dark;
}

h1 {
  font-size: 3 * $scale * 1rem;
  line-height: 2 * $leading;
  margin-top: 2 * $leading;
  margin-bottom: 2.5 * $leading;
}

h2 {
  font-size: 1.5 * $scale * 1rem;
  line-height: 1.5 * $leading;
  margin-top: 1 * $leading;
}

h3 {
  font-size: 1.25 * $scale * 1rem
}

h4 {
  font-size: $scale / 2 * 1rem;
}

h5 {
  font-size: $scale / 3 * 1rem;
}
h6 {
  font-size: $scale / 4 * 1rem;
}

// links
a {
  color: $brand-primary;
  text-decoration: none;
  transition: color 0.25 ease-in-out;
}

a:hover {
  color: darken($brand-primary, 15%);
}

// images and figures
img {
  max-width: 100%;
  vertical-align: middle;
  display: inline-block;
}

figure {
  margin-left: 0;
  margin-right: 0;
  margin-top: $leading;
  margin-bottom: $leading;
}

figure img {
  display: block;
}

figcaption {
  margin-top: 0.5rem;
  text-align: center;
}

// other
code {
  background-color: $gray-light;
  padding: 2px 4px;
  vertical-align: bottom;
  font-size: $scale * 0.85rem;
}
  hr {
    border: 0;
    height: 1px;
    background: #333;
    background-image: linear-gradient(to right, #ccc, #333, #ccc);
}

table {
    color: #333; /* Lighten up font color */
    font-family: $font-family;
    width: 760px;
    border-collapse:
    collapse; border-spacing: 0;
    padding-top: 30px;
}

td, th { border: 1px solid #CCC; height: 30px; } /* Make cells a bit taller */

th {
    background: #F3F3F3; /* Light grey background */
    font-weight: bold; /* Make sure they're bold */
}

td {
    background: #f4f7f5; /* Lighter grey background */
    text-align: center; /* Center our text */
}

/* Cells in even rows (2,4,6...) are one color */
tr:nth-child(even) td { background: #F1F1F1; }

/* Cells in odd rows (1,3,5...) are another (excludes header cells)  */
tr:nth-child(odd) td { background: #FEFEFE; }
